org.apache.fop.complexscripts.util

## Class CharMirror

- java.lang.Object
- - org.apache.fop.complexscripts.util.CharMirror

    public final class CharMirror
    extends Object

Mirror related utilities.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `hasMirrorable(String s)` Determine if string has a mirrorable character.
`static String` `mirror(String s)` Mirror characters that are designated as having the bidi mirrorred property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### mirror

    public static String mirror(String s)

Mirror characters that are designated as having the bidi mirrorred property.

Parameters:
  `s` - a string whose characters are to be mirrored
Returns:
  the resulting string

#### hasMirrorable

    public static boolean hasMirrorable(String s)

Determine if string has a mirrorable character.

Parameters:
  `s` - a string whose characters are to be tested for mirrorability
Returns:
  true if some character can be mirrored